Вопрос по youtube-api, youtube – Найти страну канала в YouTube Api V3

8

В v2 YouTube API я мог получить страну канала, получая его пользовательскую информацию (https://gdata.youtube.com/feeds/api/users/userId) и глядя наМестоположение недвижимости, Кажется, что он не существует вv3 апи.

Поскольку меня интересуют только каналы из конкретной страны, есть ли способ узнать, в какой стране находится канал?

Ваш Ответ

4   ответа
1

regionCode параметрНЕ делай, что думаешь :)
Он просто отправляет видео, которыеДОСТУПНЫ в этой стране, а не одинОПУБЛИКОВАННЫЕ в стране.

1

Кто-нибудь сумел придумать обходной путь для этого, так как V3 API не поддерживает его?

Я прочитал документацию по API, и, хотя, похоже, есть поля, доступные для этих данных (snippet.country), похоже, они не заполнены в подавляющем большинстве каналов.

Мне нужно найти общий регион (страну), с которой связан канал / видео. Ничего более мелкого, чем это.

2

guideCategories.

Ты можешьсписок руководстваКатегории по регионам.

Тогда в вашемchannels-> список позвоните, вы можете подключить этоидентификаторы категории.

Я не думаю, что это работает, потому что разные регионы имеют одинаковые guideCategoryId capotej
Старый вопрос, но мне потребовалось гораздо больше времени, чем ожидалось, чтобы получить данные из guideCategories. Обратите внимание, что для работы необходимо вызвать канал-> список из Google APIs Explorer (developers.google.com/apis-explorer/#p/youtube/v3/...) в противном случае он всегда возвращает пустой результат списка для фильтрации по (управляемому) идентификатору категории. Yoan Dinkov
0

этот ответ предлагает сделатьSearch: list и фильтр по коду региона.

Если я установлю идентификатор канала, он будет игнорировать параметр региона. Если я только установлю параметр региона, то у меня будет огромный список. the_lotus
Какова природа вашего приложения? Возможно ли пейджинг данных? Millie Smith
Люди отправляют видео (которые они могут не иметь), я должен убедиться, что канал видео находится в определенной стране. Я все еще могу использовать v2, но хотел бы использовать v3 API. the_lotus

Похожие вопросы